
package com.wily.jmeter;

import java.io.Serializable;

import org.apache.jmeter.samplers.SampleEvent;
import org.apache.jmeter.testelement.property.TestElementProperty;

import org.apache.jmeter.reporters.*;


public class WilyResultCollector extends ResultCollector implements Serializable {
	public static final String WILY_MODEL = "WilyResultCollector.wily_model"; //$NON-NLS-1$

	public WilyResultCollector() {
		super();
		setProperty(new TestElementProperty(WILY_MODEL, new WilyModel()));
	}

	public void clear() {
		super.clear();
		setProperty(new TestElementProperty(WILY_MODEL, new WilyModel()));
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see SampleListener#sampleOccurred(SampleEvent)
	 */
	public void sampleOccurred(SampleEvent e) {
		// TODO Auto-generated method stub
		super.sampleOccurred(e);
		getWilyModel().add(e.getResult());
	}

	public WilyModel getWilyModel() {
		return (WilyModel) getProperty(WILY_MODEL).getObjectValue();
	}
}
